inez/urls.py
from django.urls import path
from . import views

app_name = 'inez'

urlpatterns = [
    path('', views.homepage, name='homepage'),
    path('testimonial/', views.testimonial, name='testimonial'),
    path('post/', views.postView, name='postView'),
    path('editpost/<int:pk>/', views.editPostView, name='editPostView'),
    path('deletepost/<int:pk>', views.deletePost, name='deletePost'),
    path('deleteall/', views.deleteAllPost, name='deleteAllPost'),
    path('list_pet/', views.list_pet, name='list_pet'),
    path('list_photo/', views.list_photo, name='list_photo'),
    path('list_testimonial/', views.list_testimonial, name='list_testimonial'),
]

ppw_adopsi_hewan/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    # path('', views.index, name='contoh'),
    path('', include('alghi.urls')),
    path('', include('shannia.urls')),
    path('', include('inez.urls')),
    path('', include('yoga.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
        document_root=settings.MEDIA_ROOT)

shannia/urls.py
from django.urls import path
from . import views

app_name = "shannia"

urlpatterns = [
    path('detail/<int:detail_id>/', views.detail, name='detail'),
    path('detail/<int:detail_id>/delete', views.delete),
    path('profile/<int:profile_id>/', views.profile, name='profile'),
    path('json/askforpet/', views.json_comment_all),
    path('json/askforpet/<int:detail_id>/', views.json_comment),
]

shannia/models.py
from django.db import models
from alghi.models import Pet
from django.contrib.auth.models import User

class AskForPet(models.Model):
    message = models.TextField(max_length = 500, default="some messages.")
    pet = models.ForeignKey(Pet,on_delete=models.CASCADE, blank=True, null=True)
    user = models.ForeignKey(User, on_delete=models.CASCADE, blank=True, null=True)

shannia/forms.py
from django.forms import ModelForm

from .models import AskForPet

class PetAsking(ModelForm):
    class Meta:
        model = AskForPet
        fields = [
            'message',
        ]

shannia/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from .forms import PetAsking
from .models import AskForPet
from alghi.models import Pet, PhotoPet, Profile
from django.contrib.auth.models import User
from alghi.forms import PetForm
from django.http import HttpResponseRedirect, JsonResponse
from django.core import serializers

def detail(request, detail_id):
    detailPet = Pet.objects.get(id=detail_id)
    user = request.user
    photo_list = PhotoPet.objects.all()
    profile = Profile.objects.get(user=detailPet.owner)
    owner = detailPet.owner
    form = PetAsking()
    if request.method =="POST":
        form = PetAsking(request.POST)
        if form.is_valid():
            data = form['message'].value()
            pet_form = AskForPet(message = data, pet=detailPet, user=user)
            pet_form.save()
            return redirect('shannia:detail', detail_id=detail_id)
    else:
        AskForPets = reversed(AskForPet.objects.filter(pet=detailPet))
    return render(request, "detailpost.html", {'detail':detailPet, 'ask': AskForPets,'photo_list':photo_list,'profile':profile, 'owner':owner})

def delete(request, detail_id):
    if request.method == "POST":
        id = request.POST['id']
        AskForPet.objects.get(id=id).delete()
        return redirect('shannia:detail', detail_id=detail_id)

def profile(request, profile_id):
    user = User.objects.get(id=profile_id)
    info = Profile.objects.get(user=user)
    pet = Pet.objects.filter(owner=user)
    photo_list = PhotoPet.objects.all()
    return render(request, "profile.html", {'owner':user,'prof':info, 'pet' : pet, 'photo_list':photo_list})

def json_comment_all(request):
    comment_list=list(AskForPet.objects.values())
    return JsonResponse(comment_list, safe=False)

def json_comment(request, detail_id):
    pet = Pet.objects.get(id=detail_id)
    comment_list = AskForPet.objects.filter(pet=pet)
    data = serializers.serialize('json', comment_list)
    return HttpResponse(data, content_type="application/json")

shannia/templates/detailpost.html
{% extends "base.html" %}

{% load static %}

{% block title %} Detail Post {% endblock %}

{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/detail.css' %}">
{% endblock %}

{% block content %}
<a href="/category/"><button type="button" class="button-back">Back</button></a>
<h1 class="headings text-center">All About {{ detail.pet_name }}</h1>
<hr class="horizontal text-center">
<div class="container">
    <div class="cat-row row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                {% for photo in photo_list %}
                    {% if photo.pet == detail %}
                        <img src="{{ photo.photo.url }}" alt="pet photo" class="pet-photo"><br>
                    {% endif %}
                {% endfor %}
                <h3 class="pet_name">{{ detail.pet_name }}</h3>
                <p> {{ detail.pet_breed }} - {{ profile.owner_city}}, {{ profile.owner_country }}</p>
            </div>
        </div>
        <div class="data-con col-md-8">
            <div class="data-container container-fluid">
                <div class="pet-container">
                    <h3 class="detail-about"> About </h3>
                    <p class="pet-info">{{ detail.pet_gender }}  - {{ detail.pet_size }}  -  {{ detail.pet_age }}</p>
                    <h6>HEALTH</h6>
                    <p>{{ detail.pet_health }}</p>
                    <h6>ADOPTION FEE</h6>
                    <p>{{ detail.adoption_fee }}</p>
                    <h3 class="detail-desc">Description</h3>
                    <p>{{ detail.description }}</p>
                </div>
            </div>
        </div>
    </div> 
    <h2 class="judul-asking text-center">About the owner</h2>
    <hr class="horizontal text-center"> 
    <div class="profile-row row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                <img src="{% static 'img/people.png' %}" alt="profile photo" class="profile-photo"><br>
            </div>
        </div>
        <div class="col-md-6">
            <div class="data-container container-fluid">
                <div class="profile-container">
                    <a href="/profile/{{owner.id}}/"><h3 class="name-owner">{{ owner.first_name }} {{ owner.last_name }}</h3></a>
                    <p>{{profile.owner_city}},{{profile.owner_country}} - {{ profile.owner_zipcode }}</p>
                </div> 
            </div>
        </div>
    </div>
</div>

{% if user.is_authenticated %}
<h1 class="judul-asking text-center">Ask About Pet</h1>
<hr class="horizontal text-center"/>
<div class="ask-pet-form container-fluid">
    <div class="form-container">
        <form method="POST">
        {% csrf_token %}
        <div class="row-form row">
            <div class="col-md-12">
                <div class="form-group">
                    <label for="id_message">Message:</label>
                    <textarea class="form-control" name="message" rows="8" maxlength="500" required="" id="id_message"></textarea>
                    <input type="submit" class="button-submit" value="Submit"/>
                </div>
            </div>
        </div>
        </form>
    </div>
</div>
{% endif %}


<h1 class="message-judul text-center">QnA about {{ detail.pet_name }}</h1>
<hr class="horizontal text-center">
<div class="comment container-fluid">
    {% for j in ask %}
    <div class="message-sheet">
        <div class="comment row">
            <div class="col-md-4">
                <h5 class="quest-name">{{ user.first_name }} {{ user.last_name }}</h5>
            </div>
            {% if user == owner %}
                <form action="delete" method="POST" >
                {% csrf_token %}
                    <input type="hidden" value="{{ j.id }}" name="id"/>
                    <input class="button-delete delete" type="submit" value="Delete" />
                </form>
            {% endif %}
        </div>
        <div class="comment row">
            <div class="col-md-8">
                <p>{{ j.message }}</p>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}

shannia/templates/profile.html
{% extends "base.html" %}

{% load static %}

{% block title %} My Profile {% endblock %}

{% block styles %}

<link rel="stylesheet" type="text/css" href="{% static 'css/profile.css' %}">

{% endblock %}

{% block content %}

<div class="container">
    <div class="profile-row row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                <img src="{% static 'img/people.png' %}" alt="profile photo" class="profile-photo"><br>
            </div>
        </div>
        <div class="col-md-6">
            <div class="data-container container-fluid">
                <div class="profile-container">
                    <h3 class="name-owner">{{ owner.first_name }} {{ owner.last_name }}</h3>
                    <p>{{prof.owner_city}}, {{prof.owner_country}} - {{ prof.owner_zipcode }}</p>
                </div> 
            </div>
        </div>
    </div>
</div>
<h3 class="headings text-center">List of the pets</h3>
<hr class="horizontal text-center">
<div class="container pt-2 pb-4">
    <div class="row">
        {% for pet in pet %}
        <div class="col-md-4 text-center">
            <div class="petbox">
                {% for photo in photo_list %}
                    {% if photo.pet == pet %}
                        <div class="pet-photo mx-auto" style="
                            background: url('{{ photo.photo.url }}') no-repeat center center;
                            background-size: cover;
                            -webkit-background-size: cover;
                            -moz-background-size: cover;
                            -o-background-size: cover;
                        "></div>
                        <!-- <img src="{{ photo.photo.url }}" alt="pet photo"><br> -->
                    {% endif %}
                {% endfor %}
                <h5 class="pb-1 my-0">{{ pet.pet_name }}</h5>
                {{ pet.pet_type }} - {{ pet.pet_age }} - {{ pet.pet_breed }}<br>
                <i>{{ pet.owner_city }}, {{ pet.owner_country }}</i><br>
                <a href="/detail/{{ pet.id }}/"><button type="button" class="btn white-btn w-75 mt-2">More info</button></a>
            </div>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}